%{expand: %%define releasefile %( if [ -f '/etc/asianux-release' ]; then echo '/etc/asianux-release'; elif [ -f '/etc/Haansoft-release' ];  then echo '/etc/Haansoft-release';   elif [ -f '/etc/haansoft-release' ]; then echo '/etc/haansoft-release';   elif [ -f '/etc/booyo-release' ]; then echo '/etc/booyo-release';  fi) }

%{expand: %%define _Gnome_tag %(if [ -d /usr/share/gnome/autostart ]; then echo 1; else echo 0; fi)}
%{expand: %%define _Kde_tag %(if [ -d /usr/share/autostart ]; then echo 1; else echo 0; fi)}

%define ProductName DEFAULT

%if %(cat %{releasefile} | grep -q  Trinity && echo 1 || echo 0 )
    %define ProductName AXS2
%endif

%if %(cat %{releasefile} | grep -q  Quartet && echo 1 || echo 0 )
    %define ProductName AXS3
%endif

%if %(cat %{releasefile} | grep -q  nanumi && echo 1 || echo 0 )
    %define ProductName OE3
%endif

%if %(cat %{releasefile} | grep -q  binari && echo 1 || echo 0 )
    %define ProductName DT3
%endif

## Platform Check
%ifarch powerpc ppc ppciseries ppcseries ppcmac ppc64
%define _libdir /usr/lib
%endif

NAME: axtu
Release: 1AX
Summary: Asianux TSN GUI Updater
Group: Utilities/System
License: GPL/LGPL
Version: 1.2.15
URL: http://www.asianux.com
Source: %{name}.tar.gz
Source1: axtu.desktop.AXS3
Source2: axtu.desktop.OTHERS
Source3: axtu.cron
Source4: axtu-cron
Source5: axtu-notifier
Source6: axtu-notifier.desktop
Source7: axtulog

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt-devel,newt-devel

%description
Asianux TSN Updater tools

%package gui
Summary: Asianux TSN GUI Updater
Group: Utilities/System
Requires : qt axtu-tui
Prereq: /sbin/chkconfig, /sbin/service

%description gui
Asianux TSN GUI Updater tools

%package tui
Summary: Asianux TSN TUI Updater
Group: Utilities/System
Requires: newt axtu-libs
Obsoletes: hsupdater axtu

%description tui
Asianux TSN TUI Updater tools

%package devel
Summary: Development file for Asianux Updater
Group: Development/Libraries

%description devel
Development file for Asianux Updater

%package libs
Summary: Libraries for TSN TUI Updater
Group: Development/Libraries

%description libs
Libraries for TSN TUI Updater

%prep
%setup -n axtu

%build
aclocal
autoheader
autoconf
automake
#unset QTDIR && . /etc/profile.d/qt.sh
./configure --libdir=%{_libdir} --mandir=%{_mandir}
pushd gui/axtu
qmake DESTDIR=$RPM_BUILD_ROOT/usr/share/axtu/gui
pushd ../setup
qmake DESTDIR=$RPM_BUILD_ROOT/usr/share/axtu/gui
pushd ../launcher
qmake DESTDIR=$RPM_BUILD_ROOT/usr/share/axtu/gui
pushd ../../
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications

%if %{ProductName} == AXS3 || %{ProductName} == AXS2
cp -af %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications/axtu.desktop
%else
cp -af %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications/axtu.desktop
%endif

#%if %{ProductName} == AXS3
#mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys
#cp -af %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys/axtu.desktop
#%endif

mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
cp -af %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.daily/axtu.cron
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -af %{SOURCE4} $RPM_BUILD_ROOT/etc/init.d/axtu-cron
cp -af %{SOURCE5} $RPM_BUILD_ROOT/etc/init.d/axtu-notifier

%if %{_Gnome_tag} == 1
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/autostart/
cp -af %{SOURCE6} $RPM_BUILD_ROOT/usr/share/gnome/autostart/axtu-notifier.desktop
%endif

%if %{_Kde_tag} == 1
mkdir -p $RPM_BUILD_ROOT/usr/share/autostart/
cp -af %{SOURCE6} $RPM_BUILD_ROOT/usr/share/autostart/axtu-notifier.desktop
%endif

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
cp -af %{SOURCE7} $RPM_BUILD_ROOT/etc/logrotate.d/axtulog

#Release qm files
for tsfile in $RPM_BUILD_ROOT/usr/share/axtu/gui/qm/*.ts
do
	lrelease $tsfile
	rm -f $tsfile
done

%clean
rm -rf $RPM_BUILD_ROOT

%pre
pidhsupdater=`/sbin/pidof /usr/share/hsupdater-1.0/hsupdater/hsupdater`
if [ "$pidhsupdater" != "" ]; then
     /bin/kill -9 $pidhsupdater > /dev/null 2>&1
fi


%post gui
pidnotifier1=`/sbin/pidof /usr/share/axtu/gui/axtu-notifier-gui`
if [ "$pidnotifier1" != "" ]; then
	/usr/bin/killall axtu-notifier-gui > /dev/null 2>&1
        /usr/share/axtu/gui/axtu-notifier-gui& > /dev/null 2>&1
fi

/sbin/service axtu-notifier condrestart > /dev/null 2>&1
/sbin/chkconfig --add axtu-notifier > /dev/null 2>&1
/sbin/chkconfig --level 5 axtu-notifier on > /dev/null 2>&1
/bin/chmod -R 600 /usr/share/axtu/.conf > /dev/null 2>&1
exit 0


%preun gui
if [ $1 = 0 ]; then
        if [ -x /usr/bin/killall ]; then
             pidnotifier=`/sbin/pidof /usr/share/axtu/gui/axtu-notifier-gui`
             if [ "$pidnotifier" != "" ]; then
                 /usr/bin/killall axtu-notifier-gui > /dev/null 2>&1
             fi
        fi

        /sbin/service axtu-notifier stop > /dev/null 2>&1
        /sbin/chkconfig --del axtu-notifier > /dev/null 2>&1
fi

exit 0


%files gui
%defattr(-,root,root)
/sbin/axtud
%{_datadir}/axtu/gui
%{_datadir}/axtu/daemon
%{_datadir}/applications/axtu.desktop
%if %{_Gnome_tag}
%{_datadir}/gnome/autostart/axtu-notifier.desktop
%endif
%if %{_Kde_tag}
%{_datadir}/autostart/axtu-notifier.desktop
%endif
#%if %{ProductName} == AXS3
#%{_sysconfdir}/sysconfig/khwtree/Group2Sys/axtu.desktop
#%endif
%{_datadir}/locale/ko/LC_MESSAGES/axtu-notifier-gui.mo
%{_datadir}/locale/ja/LC_MESSAGES/axtu-notifier-gui.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/axtu-notifier-gui.mo
%{_datadir}/locale/zh_TW/LC_MESSAGES/axtu-notifier-gui.mo
%{_sysconfdir}/init.d/axtu-notifier

%files tui
%{_sysconfdir}/axtu/.axtu.new
%{_sysconfdir}/init.d/axtu-cron
%{_datadir}/axtu/tui
%{_bindir}/axtu
%{_mandir}/man1/axtu.1*
%config(noreplace) %{_datadir}/axtu/.conf/.wgetrc
%config(noreplace) %{_sysconfdir}/logrotate.d/axtulog
%config(noreplace) %{_sysconfdir}/cron.daily/axtu.cron

%files devel
%{_includedir}/axtu/*.h
%{_includedir}/axtu/wget/*.h

%files libs
%{_libdir}/libaxtu_shared.*a
%{_libdir}/libaxtu_shared.so*



%changelog
* Tue Aug 14 2007 JeongHun Kim <jhkim@haansoft.com> 1.2.15-1AX
- Modify strange english sentenses.

* Thu Aug 09 2007 Yusop Kim <yusop@haansoft.com>,JeongHun Kim<jhkim@haansoft.com>  1.2.14-1AX
- Changing the load method from detecting the environment to pointing the binary directly.(Bug # 3442)
- Bug fix for reloading the HeaderInformation after update or install. Before the fixing, the doing update or install with some dependency occured different action. That is not doing the reload action the header files.(Bug # 3425)
- If there is not axtu-authen-client, the axtu will emit an error message (Bug # 3427)
- rpmEngine bug fix. (Bug # 3398)
  Some case rpmEngine didn't find install available package list in muliti arch system(x86_64, ppc, ia64).
  so axtu don't know missing packages, but some other packages required that missing package.
  axtu will not find required packages Even if There are required packages.
  I have fixed this bug.
- RV-TD-  keeping continuously "custom update", updater failed(only error output?) (Bug # 3444)
- Though update failed, package's version is upgraded(Bug # 3445)
- axtu crashes (Bug # 3426)
  Add exeption code that will check summary value whether NULL or not.  and When download is canceled by user. axtu will show first welcome page.
- axtu terminate with no message when other user use same key (Bug # 3430)
- Directory path more than 245 character for "Log Path"  (Bug # 3439)
- Directory path more than 47 character for "Download Path" (Bug # 3437)
- Directory path including space for "Download Path" (Bug # 3436)
- Error message does not appear if produect-key size is over(Bug # 3449)

* Mon Aug 06 2007 Yusop Kim <yusop@haansoft.com>  1.2.13-1AX
- Bug fix that cannot restart at doing Self-Update on TUI.(Bug # 3424)

* Tue Jul 31 2007 JeongHun Kim<jhkim@haansoft.com> 1.2.12-1AX
- Add proxy configuration ui to axtu setup.
- Modify the wrong word from "Reading header informaintion..." to "Reading header information..." (Bug # 3376)
- Remove the message that come out by the AuthenticationTool - CommandLine
- Modify the spec file for protecting the ex-configure files.

* Mon Jul 30 2007 Yusop Kim <yusop@haansoft.com>  1.2.11-1AX
- Bug Fix for come out the message from each RPM file on TUI during the update or install time(Bug # 3183)
- Bug Fix for LOG-file.(Bug:If there is not a directory for LOG, the LogFile put wrong place.) Fixed that bug.(Bug # 3364)
- Bug Fix for disk-space-error( Bug: If there is an error for disk-space-error, cannot show the message On tui) Fixed that bug.(Bug # 3365)

* Mon Jul 30 2007 Choi SeongOok <sochoi@miraclelinux.com> 1.2.10-2AX
- Some japanese text is fixed.

* Tue Jul 24 2007 JeongHun Kim<jhkim@haansoft.com>  1.2.10-1AX
- Can not check the disk space of log directory when log directory is linked. so I have fixed.  And I made default log directory for deleteting log path directory in axtu.conf.  This is exeption code.
- When logging in not root account,  notifirer will not show until by notifier period time (default 2 hours).   It has fixed.   This reason,  signal can not been reached to root process from not root process. I call the fuction by directly.
- When logging in not root account,  start axtu -u   and push the blacklist setup button.   setup window will show english senten not local language.    This reason,  kdesu option was wrong, I have fixed.
- When axtu.conf include same url,  axtu can not update, install.  This is Network class bugs.  Network calss confused which directory is right download direcotoy,   We add download path arguement. so Now Network class will not confuse downwload diretory.
- Some translate was changed.
- When make update available list,  axtu will notify the count of update available list to notifier.
- sometimes /usr/bin/axtu script will show warning messasges, I have fixed it.
- Add success log to logrotate.
- /ui/classAuthTui.cpp: Remove the Checkbox for the sending profile
- cui/main.cpp: Add the comments, Bug fix for cannot get the authentication key by product-number

*Tue Jul 17 2007 JeongHun Kim<jhkim@haansoft.com>  1.2.9-1AX
- Japanes Trans file was modified.(Bug # 3232)
- Bug # 3232  - Japanes Trans file was modified.
- Add logrotate for log exeption.
- Show Wait Cursor When start udpater or setup by launcher.
- When find self update packages,   axtu will find self update packages on only update list.  
- Check the space of log directory.
- When locked axtu, Axtu will be show messages.
- Edit tanslation file.
- Change defalut value of conf file in axtu.
- Modifing the path of Authentication Client and improve the code.
- Improve the code
- Remoing the ERASE option  
- Add comments for conf file
- Add exception code for safety of axtu.

* Mon Jul 16 2007 Yusop Kim <yusop@haansoft.com>  1.2.8-1AX
- Seperating the binary according to user interface.Because the users have different envirnments

* Fri Jul 13 2007 JeongHun Kim<jhkim@haansoft.com>  1.2.7-1AX
- Add new function that will install redcatle kernel modules(redcastle-app, redcastle-pam, kmod-redcastle) by install mode.
- Fix wrong english sentense.

* Fri Jul 13 2007 Ki-Young, Lee <kylee@haansoft.com> 1.2.6-2AX
- modify axtu.desktop.AX3(categories)
- remove khwtree

* Thu Jul 12 2007 JeongHun Kim<jhkim@haansoft.com>  1.2.6-1AX
- Remove the menu of erase on axtu launcher.  Because some user can erases important package and can destroy system. (bug#3208, bug#3129)
- Cannot execute axtu in the start menu by user account.(bug#3224)
- Can start axtu using TUI and GUI at the same time.(bug#3159)
- Can start axtu-daemon a lot of time.(bug#3151)
- Error message can not display When can not get header.info from update server.(bug#3152, bug#3230)

* Tue Jul 10 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.5-1AX
- When the system's default run level is 3, axtu shows english text for japanese environment. So I have fixed it (bug#3142)
- Add a few exception code.
- Change Icon of axtu.desktop.AXS3, axtu.desktop.OTHERS.
- Change the name of axtu script file to axtu-cron in SOURCE.


* Tue Jul 4 2007 Yusop Kim<yusop@haansoft.com>  1.2.4-1AX
- Fixing the bug that cannot insert some packages to blacklist on TUI.

* Tue Jul 3 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.3-1AX
- "TNS" should be "TSN" in axtu main interface(bug#3134)
- Can not cancel during updating packages(bug#3120)

* Mon Jul 02 2007 Hua Jie <jiehua@redflag-linux.com> 1.2.2-5AX
- modified Chinese translation

* Tue Jun 26 2007 Hua Jie <jiehua@redflag-linux.com> 1.2.2-4AX
- modified Chinese translation

* Wed Jun 20 2007 Choi SeongOok <sochoi@miraclelinux.com> 1.2.2-3AX
- add Japanese translation

* Mon Jun 18 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.2-2ax
- The Categories of desktop has changed.

* Thu Jun 15 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.2-1ax
- axtu-cl command have same option(-d, --download, -d, --delay) (bug#2751) I have changed -D, --delay option.

* Thu Jun 14 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.1-3ax
- Axtu will not start on install time by anaconda. (bug#2900)

* Tue Jun 12 2007 Hua Jie <jiehua@redflag-linux.com> 1.1.1-2AX
- add Chinese translation
- remove ts files

* Tue Jun 12 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.1-1ax
- Main directory is changed. /usr/share/axtu-1.1 ==> /usr/share/axtu 
  
* Thu May 31 2007 JeonHun Kim<jhkim@haansoft.com>, Yusop Kim<yusop@haansoft.com>  1.1.1-1ax
- the distance between the lines and the characters are different in the welcome page of axtu (bug#2768)
- RVD- suggestion for axtu self-update(bug#2767)
- problem for axtu-cl(bug#2751)
- there is no warning when the space is not enough(bug#2744)
- install list has the package which is already installed on the system(bug#2729)
- RV- can not set default value for blacklist(bug#2722)
- can not start axtu from the control panel(bug#2638)
- rpm's license may change GPL/LGPL(2343)
- after minimizing updater which is opened from tray icon,it disapeared from the screen(bug#2710)
- the characters in the axtu interface can not be showed fully(bug#2639)
- Modify the spec file - replaced by macro, and the tag of license 
- Change the Prefix directory (axtu-1.1)

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.1-1ax
- Version up for commit to Asianux CVS

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.0.34-1hs
- Soving the problem that don't work PPC platform

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.0.33-3hs
- Removing the unstable "preun" command

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.0.33-2hs
- Modifing the axtu-notifier(remove the line - "config")

* Thu May 10 2007 Yusop Kim<yusop@haansoft.com> 1.0.33-1hs
- If the Command-line updater cannot get AK, it will be stop

* Wed May 09 2007 Yusop Kim<yusop@haansoft.com> 1.0.32-1hs
- Bug fix a problem that cannot delete the rpmEngine-object

* Thu May 04 2007 Yusop Kim<yusop@haansoft.com> 1.0.31-1hs
- Modifying the copy routine for configure file according to product name
- Modifying the spec file for menu item - *.desktop

* Thu Apr 30 2007 Yusop Kim<yusop@haansoft.com> 1.0.30-1hs
- Inserting the readable api some repository url when CheckAuthen() is run.

* Thu Apr 26 2007 Yusop Kim<yusop@haansoft.com> 1.0.29-1hs
- Fixing the problem of copy the configure files
- Inserting CheckConfig API after checking Authentication
- When the default-configure-file do not exist the default-loading-button is disabled.

* Tue Apr 17 2007 Yusop Kim<yusop@haansoft.com> 1.0.28-1hs
- URL bug fix

* Tue Apr 17 2007 Yusop Kim<yusop@haansoft.com> 1.0.27-1hs
- Bug fix about some address 

* Sat Apr 14 2007 Yusop Kim<yusop@haansoft.com> 1.0.26-1hs
- Remove the "Requires" tag of this spec file.
- For the "axtu" and "axtu-authen-client" run at the same time, I insert that newtSuspend(),newtResume()

* Fri Apr 13 2007 Yusop Kim<yusop@haansoft.com> 1.0.25-1hs
- Modified that the authentication rootine do not run before self update.
- Change the code from 'exit(0)' to 'return false;' in SetAk method
- When the kernel is updated, AXTU will notify that kernel will be applied by system reboot.

* Thu Apr 12 2007 Yusop Kim<yusop@haansoft.com> 1.0.24-1hs
- Fixing the bug that libhswget.a is softly linked. The library must be hardly linked.
- Modify release tag from "hs" to "ax".

* Tue Apr 10 2007 Yusop Kim<yusop@haansoft.com> 1.0.23-1hs
- Modify by adding of the release name - binari
- Modify to the libaxtu_shared.so include the libhswget.a
- remove the link option with hswget. because libaxtu_shared.so include the libhswget.a
- modify the authentication routine according to be modifying the authentication_client
- bug fix by an empty space section.
- Add the option of "wget" for certification - authentication
- Add definition of "AUTHEN_FILE"

* Mon Apr 9 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.22-1hs
- Bug fix notifier.

* Fri Mar 30 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.21-3hs
- Change update URL ( haansoftlinux.com --> asianux.co.kr)

* Fri Mar 30 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.21-2hs
- I did autoreconf and automake.

* Thu Mar 29 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.21-1hs
- axtu-cl download option and check option has been added.
- Tray Image has changed.
- Configure file(/etc/axtu/axtu.conf) can includes comments.  (before patch axtu alway erases any comments (that will start "#") ).
- When files are downloading. User can cancel download. (before User can not stop download) 

* Fri Mar 23 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.20-1hs
- Add axtu-cl(command line updater)
- Add axtu.cron and axtu(init.d script) for auto update
- libs/classRpmEngine.cpp rpm transaction is locking while axtu executes.   ==> It's solved. 
- libs/classRpmEngine.cpp,h gui/classGui.cpp gui/main.cpp tui/classTui.cpp  We want to block a blacklist package by update only(Not install).   but axtu blockes a package even if a package will be installed when depedency check time. 
- doxygen_axtu.conf axpm text was not change to axtu. I have changed.
- libs/classRpmEngine.cpp TSN Updater locked rpm transaction while updater is on exectute time. I modified that bug.  
- gui/axtu/classGui.cpp,h When show dependency list to user.   Messages is not translated to local languages.  It 's fixed.


* Mon Mar 12 2007 Yusop Kim<yusop@haansoft.com> 1.0.19-2hs
- Modify Macros (%pre,%preun,%post,%postun) of Spec file 

* Thu Mar 08 2007 Yusop Kim<yusop@haansoft.com> 1.0.19-1hs
- Modifed to restarted at self-update in GUI
- Add Self Address
- Add Protecting Method for Unlimited loop

* Thu Mar 08 2007 Yusop Kim<yusop@haansoft.com> 1.0.18-2hs
- Remove %preun macros

* Thu Mar 08 2007 Yusop Kim<yusop@haansoft.com> 1.0.18
- Multi language supportting code is fixed. Upater had a bug that some part of language is not changed to korean or other language.
- When User account (NOT root) will executes TSN Updater.   Updater will requires password to root.
- CreateUpdateInstall() function on classRpmEngine.cpp is fixed. Some case this function went to the loop states.
- Text strings of TUI are modified for main title "Asianux TSN Updater"
- Modifing the "axpm" script for help message

* Mon Mar 05 2007 Yusop Kim<yusop@haansoft.com> 1.0.17
- Solve the last messages problem

* Mon Mar 05 2007 Yusop Kim<yusop@haansoft.com> 1.0.16
- Modify axtu.desktop

* Fri Mar 02 2007 Yusop Kim<yusop@haansoft.com> 1.0.15
- solve the multiple execute problem

* Fri Mar 02 2007 Yusop Kim<yusop@haansoft.com> 1.0.14
- Add Man file for man page

* Fri Mar 02 2007 Yusop Kim<yusop@haansoft.com> 1.0.13
- Add Korean Langauage

* Wed Feb 28 2007 Yusop Kim<yusop@haansoft.com> 1.0.12
- Package Rename from "axpm" to "axtu"

* Wed Feb 28 2007 Yusop Kim<yusop@haansoft.com> 1.0.11
- Modify notifier as gtk library

* Mon Feb 12 2007 Yusop Kim<yusop@haansoft.com> 1.0.10
- Add new class -> classConfCtl

* Fri Feb 02 2007 Yusop Kim<yusop@haansoft.com> 1.0.9
- Add a executable script file

* Sun Jan 28 2007 Yusop Kim<yusop@haansoft.com> 1.0.8
- modify tui messages
- modify file part of the spec file

* Thu Jan 25 2007 Yusop Kim<yusop@haansoft.com> 1.0.7
- remove useless comments

* Tue Jan 23 2007 Yusop Kim<yusop@haansoft.com> have not packaged
- solve the problem that occure when download header and package file 

* Mon Jan 22 2007 Yusop Kim<yusop@haansoft.com> 1.0.6-2hs
- Remove build require with libhswget
- Modify library install path for x86_64

* Mon Jan 22 2007 Yusop Kim<yusop@haansoft.com> 1.0.6
- Add comments

* Thu Jan 18 2007 JeongHun Kim<jhkim@haansoft.com>  have not packacged
- Add classLogger to notifier.

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.5
- Using shared library instead of static library

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.4
- Add gui/notifier
- Modify conf/* files

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.3
- update sources from CVS contents

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.2
- Add gui/launcher
- Add tui's po file

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.1
- Modify tui/axpm/Makefile.am
  Becase of Dependency with library

* Sat Jan 12 2007 Yusop Kim<yusop@haansoft.com> 1.0
- make new pkg of axpm
